View Issue Details

IDProjectCategoryView StatusLast Update
0012095mantisbtbugtrackerpublic2014-12-08 00:34
ReporterdhxAssigned Todhx 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.2.2 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0012095: bug_monitor_copy() should check users exist
Description

bug_monitor_copy() assumes that all user IDs from the source bug are still valid. We should first check to make sure that users from the source bug still exist before adding them to the monitor list of the destination bug.

TagsNo tags attached.

Relationships

related to 0011375 closeddhx Users that are monitoring a bug should be transferred if the bug is closed as a duplicate 
child of 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 

Activities

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036508

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master 69c55f95

2010-06-19 04:22:20

dhx

Details Diff
Fix 0012095: bug_monitor_copy() should check users exist

bug_monitor_copy() assumes that all user IDs from the source bug are
still valid. We should first check to make sure that users from the
source bug still exist before adding them to the monitor list of the
destination bug.
mod - core/bug_api.php Diff File

Issue History

Date Modified Username Field Change
2010-06-19 00:21 dhx New Issue
2010-06-19 00:21 dhx Status new => assigned
2010-06-19 00:21 dhx Assigned To => dhx
2010-06-19 00:23 dhx Summary bug_monitor_copy() should check that source user ID's are still valid => bug_monitor_copy() should check users exist
2010-06-19 00:27 dhx Relationship added related to 0011375
2010-06-22 21:40 dhx Changeset attached => MantisBT master 69c55f95
2010-06-22 21:40 dhx Resolution open => fixed
2010-06-22 21:40 dhx Fixed in Version => 1.3.0-beta.1
2010-06-22 22:45 dhx Target Version 1.2.2 => 1.3.0-beta.1
2010-06-22 22:45 dhx Status assigned => resolved
2013-04-05 17:57 grangeway Status resolved => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036508
2013-04-05 18:03 grangeway Relationship added child of 0015721
2013-04-06 03:44 dregad Status acknowledged => resolved
2013-04-06 07:20 grangeway Status resolved => acknowledged
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:34 vboctor Status resolved => closed